diff --git a/dlls/mfplat/tests/mfplat.c b/dlls/mfplat/tests/mfplat.c
index 8d21f2ed6..20577453f 100644
--- a/dlls/mfplat/tests/mfplat.c
+++ b/dlls/mfplat/tests/mfplat.c
@@ -72,7 +72,7 @@ static void _expect_ref(IUnknown *obj, ULONG ref, int line)
     ULONG rc;
     IUnknown_AddRef(obj);
     rc = IUnknown_Release(obj);
-    ok_(__FILE__,line)(rc == ref, "Unexpected refcount %ld, expected %ld.\n", rc, ref);
+    ok_(__FILE__,line)(rc == ref, "Unexpected refcount %d, expected %d.\n", rc, ref);
 }
 
 static ULONG get_refcount(void *iface)
@@ -92,7 +92,7 @@ static void check_interface_(unsigned int line, void *iface_ptr, REFIID iid, BOO
     expected_hr = supported ? S_OK : E_NOINTERFACE;
 
     hr = IUnknown_QueryInterface(iface, iid, (void **)&unk);
-    ok_(__FILE__, line)(hr == expected_hr, "Got hr %#lx, expected %#lx.\n", hr, expected_hr);
+    ok_(__FILE__, line)(hr == expected_hr, "Got hr %#x, expected %#x.\n", hr, expected_hr);
     if (SUCCEEDED(hr))
         IUnknown_Release(unk);
 }
@@ -112,7 +112,7 @@ static void check_service_interface_(unsigned int line, void *iface_ptr, REFGUID
         hr = IMFGetService_GetService(gs, service, iid, (void **)&unk);
         IMFGetService_Release(gs);
     }
-    ok_(__FILE__, line)(hr == expected_hr, "Got hr %#lx, expected %#lx.\n", hr, expected_hr);
+    ok_(__FILE__, line)(hr == expected_hr, "Got hr %#x, expected %#x.\n", hr, expected_hr);
     if (SUCCEEDED(hr))
         IUnknown_Release(unk);
 }
@@ -143,7 +143,7 @@ static void init_d3d11_resource_readback(ID3D11Resource *resource, ID3D11Resourc
     if (FAILED(hr = ID3D11DeviceContext_Map(rb->immediate_context,
             rb->resource, sub_resource_idx, D3D11_MAP_READ, 0, &rb->map_desc)))
     {
-        trace("Failed to map resource, hr %#lx.\n", hr);
+        trace("Failed to map resource, hr %#x.\n", hr);
         ID3D11Resource_Release(rb->resource);
         rb->resource = NULL;
         ID3D11DeviceContext_Release(rb->immediate_context);
@@ -171,7 +171,7 @@ static void get_d3d11_texture2d_readback(ID3D11Texture2D *texture, unsigned int
     texture_desc.MiscFlags = 0;
     if (FAILED(hr = ID3D11Device_CreateTexture2D(device, &texture_desc, NULL, (ID3D11Texture2D **)&rb_texture)))
     {
-        trace("Failed to create texture, hr %#lx.\n", hr);
+        trace("Failed to create texture, hr %#x.\n", hr);
         ID3D11Device_Release(device);
         return;
     }
@@ -317,7 +317,7 @@ static WCHAR *load_resource(const WCHAR *name)
 
     file = CreateFileW(pathW, GENERIC_READ|GENERIC_WRITE, 0,
                        NULL, CREATE_ALWAYS, 0, 0);
-    ok(file != INVALID_HANDLE_VALUE, "file creation failed, at %s, error %ld\n",
+    ok(file != INVALID_HANDLE_VALUE, "file creation failed, at %s, error %d\n",
        wine_dbgstr_w(pathW), GetLastError());
 
     res = FindResourceW(NULL, name, (LPCWSTR)RT_RCDATA);
@@ -418,57 +418,57 @@ static void test_register(void)
         win_skip("Not enough permissions to register a transform.\n");
         return;
     }
-    ok(ret == S_OK, "Failed to register dummy transform, hr %#lx.\n", ret);
+    ok(ret == S_OK, "Failed to register dummy transform, hr %#x.\n", ret);
 
 if(0)
 {
     /* NULL name crashes on windows */
     ret = MFTRegister(DUMMY_CLSID, MFT_CATEGORY_OTHER, NULL, 0, 1, input, 1, output, NULL);
-    ok(ret == E_INVALIDARG, "Unexpected hr %#lx.\n", ret);
+    ok(ret == E_INVALIDARG, "got %x\n", ret);
 }
 
     ret = MFTRegister(DUMMY_CLSID, MFT_CATEGORY_OTHER, name, 0, 0, NULL, 0, NULL, NULL);
-    ok(ret == S_OK, "Failed to register dummy filter: %lx\n", ret);
+    ok(ret == S_OK, "Failed to register dummy filter: %x\n", ret);
 
     ret = MFTRegister(DUMMY_CLSID, MFT_CATEGORY_OTHER, name, 0, 1, NULL, 0, NULL, NULL);
-    ok(ret == S_OK, "Failed to register dummy filter: %lx\n", ret);
+    ok(ret == S_OK, "Failed to register dummy filter: %x\n", ret);
 
     ret = MFTRegister(DUMMY_CLSID, MFT_CATEGORY_OTHER, name, 0, 0, NULL, 1, NULL, NULL);
-    ok(ret == S_OK, "Failed to register dummy filter: %lx\n", ret);
+    ok(ret == S_OK, "Failed to register dummy filter: %x\n", ret);
 
 if(0)
 {
     /* NULL clsids/count crashes on windows (vista) */
     count = 0;
     ret = MFTEnum(MFT_CATEGORY_OTHER, 0, NULL, NULL, NULL, NULL, &count);
-    ok(ret == E_POINTER, "Failed to enumerate filters: %lx\n", ret);
+    ok(ret == E_POINTER, "Failed to enumerate filters: %x\n", ret);
     ok(count == 0, "Expected count == 0\n");
 
     clsids = NULL;
     ret = MFTEnum(MFT_CATEGORY_OTHER, 0, NULL, NULL, NULL, &clsids, NULL);
-    ok(ret == E_POINTER, "Failed to enumerate filters: %lx\n", ret);
+    ok(ret == E_POINTER, "Failed to enumerate filters: %x\n", ret);
 }
     hr = MFTGetInfo(DUMMY_CLSID, &mft_name, NULL, NULL, NULL, NULL, NULL);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!lstrcmpW(mft_name, L"Wine test"), "Unexpected name %s.\n", wine_dbgstr_w(mft_name));
     CoTaskMemFree(mft_name);
 
     hr = MFTGetInfo(DUMMY_CLSID, NULL, NULL, NULL, NULL, NULL, NULL);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     in_count = out_count = 1;
     hr = MFTGetInfo(DUMMY_CLSID, NULL, NULL, &in_count, NULL, &out_count, NULL);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!in_count, "Unexpected count %u.\n", in_count);
     ok(!out_count, "Unexpected count %u.\n", out_count);
 
     hr = MFTGetInfo(DUMMY_CLSID, NULL, NULL, NULL, NULL, NULL, &attributes);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!!attributes, "Unexpected attributes.\n");
     IMFAttributes_Release(attributes);
 
     hr = MFTGetInfo(DUMMY_CLSID, &mft_name, &in_types, &in_count, &out_types, &out_count, &attributes);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!lstrcmpW(mft_name, L"Wine test"), "Unexpected name %s.\n", wine_dbgstr_w(mft_name));
     ok(!!in_types, "Unexpected pointer.\n");
     ok(!!out_types, "Unexpected pointer.\n");
@@ -485,7 +485,7 @@ if(0)
     ok(!!attributes, "Unexpected attributes.\n");
     count = 1;
     hr = IMFAttributes_GetCount(attributes, &count);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!count, "Unexpected count %u.\n", count);
     CoTaskMemFree(mft_name);
     CoTaskMemFree(in_types);
@@ -495,7 +495,7 @@ if(0)
     count = 0;
     clsids = NULL;
     ret = MFTEnum(MFT_CATEGORY_OTHER, 0, NULL, NULL, NULL, &clsids, &count);
-    ok(ret == S_OK, "Failed to enumerate filters: %lx\n", ret);
+    ok(ret == S_OK, "Failed to enumerate filters: %x\n", ret);
     ok(count > 0, "Expected count > 0\n");
     ok(clsids != NULL, "Expected clsids != NULL\n");
     ok(check_clsid(clsids, count), "Filter was not part of enumeration\n");
@@ -504,7 +504,7 @@ if(0)
     count = 0;
     clsids = NULL;
     ret = MFTEnum(MFT_CATEGORY_OTHER, 0, input, NULL, NULL, &clsids, &count);
-    ok(ret == S_OK, "Failed to enumerate filters: %lx\n", ret);
+    ok(ret == S_OK, "Failed to enumerate filters: %x\n", ret);
     ok(count > 0, "Expected count > 0\n");
     ok(clsids != NULL, "Expected clsids != NULL\n");
     ok(check_clsid(clsids, count), "Filter was not part of enumeration\n");
@@ -513,7 +513,7 @@ if(0)
     count = 0;
     clsids = NULL;
     ret = MFTEnum(MFT_CATEGORY_OTHER, 0, NULL, output, NULL, &clsids, &count);
-    ok(ret == S_OK, "Failed to enumerate filters: %lx\n", ret);
+    ok(ret == S_OK, "Failed to enumerate filters: %x\n", ret);
     ok(count > 0, "Expected count > 0\n");
     ok(clsids != NULL, "Expected clsids != NULL\n");
     ok(check_clsid(clsids, count), "Filter was not part of enumeration\n");
@@ -522,7 +522,7 @@ if(0)
     count = 0;
     clsids = NULL;
     ret = MFTEnum(MFT_CATEGORY_OTHER, 0, input, output, NULL, &clsids, &count);
-    ok(ret == S_OK, "Failed to enumerate filters: %lx\n", ret);
+    ok(ret == S_OK, "Failed to enumerate filters: %x\n", ret);
     ok(count > 0, "Expected count > 0\n");
     ok(clsids != NULL, "Expected clsids != NULL\n");
     ok(check_clsid(clsids, count), "Filter was not part of enumeration\n");
@@ -532,17 +532,17 @@ if(0)
     count = 0;
     clsids = NULL;
     ret = MFTEnum(MFT_CATEGORY_OTHER, 0, output, input, NULL, &clsids, &count);
-    ok(ret == S_OK, "Failed to enumerate filters: %lx\n", ret);
+    ok(ret == S_OK, "Failed to enumerate filters: %x\n", ret);
     ok(!count, "got %d\n", count);
     ok(clsids == NULL, "Expected clsids == NULL\n");
 
     ret = MFTUnregister(DUMMY_CLSID);
     ok(ret == S_OK ||
        /* w7pro64 */
-       broken(ret == HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND)), "Unexpected hr %#lx.\n", ret);
+       broken(ret == HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND)), "got %x\n", ret);
 
     ret = MFTUnregister(DUMMY_CLSID);
-    ok(ret == S_OK || broken(ret == HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND)), "Unexpected hr %#lx.\n", ret);
+    ok(ret == S_OK || broken(ret == HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND)), "got %x\n", ret);
 }
 
 static HRESULT WINAPI test_create_from_url_callback_Invoke(IMFAsyncCallback *iface, IMFAsyncResult *result)
@@ -559,10 +559,10 @@ static HRESULT WINAPI test_create_from_url_callback_Invoke(IMFAsyncCallback *ifa
 
     object = NULL;
     hr = IMFSourceResolver_EndCreateObjectFromURL(resolver, result, &obj_type, &object);
-    ok(hr == S_OK, "Failed to create an object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create an object, hr %#x.\n", hr);
 
     hr = IMFAsyncResult_GetObject(result, &object2);
-    ok(hr == S_OK, "Failed to get result object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get result object, hr %#x.\n", hr);
     ok(object2 == object, "Unexpected object.\n");
 
     if (object)
@@ -596,12 +596,12 @@ static HRESULT WINAPI test_create_from_file_handler_callback_Invoke(IMFAsyncCall
     handler = (IMFSchemeHandler *)IMFAsyncResult_GetStateNoAddRef(result);
 
     hr = IMFSchemeHandler_EndCreateObject(handler, result, &obj_type, &object);
-    ok(hr == S_OK, "Failed to create an object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create an object, hr %#x.\n", hr);
 
     if (SUCCEEDED(hr))
     {
         hr = IMFAsyncResult_GetObject(result, &object2);
-        ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+        ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
         IUnknown_Release(object);
     }
@@ -631,7 +631,7 @@ static HRESULT WINAPI source_events_callback_Invoke(IMFAsyncCallback *iface, IMF
     generator = (IMFMediaEventGenerator *)IMFAsyncResult_GetStateNoAddRef(result);
 
     hr = IMFMediaEventGenerator_EndGetEvent(generator, result, &callback->media_event);
-    ok(hr == S_OK, "Failed to create an object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create an object, hr %#x.\n", hr);
 
     SetEvent(callback->event);
 
@@ -673,7 +673,7 @@ static BOOL get_event(IMFMediaEventGenerator *generator, MediaEventType expected
     {
         hr = IMFMediaEventGenerator_BeginGetEvent(generator, &callback->IMFAsyncCallback_iface,
                 (IUnknown *)generator);
-        ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+        ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
         if (WaitForSingleObject(callback->event, 1000) == WAIT_TIMEOUT)
         {
@@ -684,14 +684,14 @@ static BOOL get_event(IMFMediaEventGenerator *generator, MediaEventType expected
         Sleep(10);
 
         hr = IMFMediaEvent_GetType(callback->media_event, &event_type);
-        ok(hr == S_OK, "Failed to event type, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to event type, hr %#x.\n", hr);
 
         if ((ret = (event_type == expected_event_type)))
         {
             if (value)
             {
                 hr = IMFMediaEvent_GetValue(callback->media_event, value);
-                ok(hr == S_OK, "Failed to get value of event, hr %#lx.\n", hr);
+                ok(hr == S_OK, "Failed to get value of event, hr %#x.\n", hr);
             }
 
             break;
@@ -743,16 +743,16 @@ static void test_source_resolver(void)
     callback2 = create_test_callback(&test_create_from_file_handler_callback_vtbl);
 
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = pMFCreateSourceResolver(NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "got %#x\n", hr);
 
     hr = pMFCreateSourceResolver(&resolver);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got %#x\n", hr);
 
     hr = pMFCreateSourceResolver(&resolver2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got %#x\n", hr);
     ok(resolver != resolver2, "Expected new instance\n");
 
     IMFSourceResolver_Release(resolver2);
@@ -760,20 +760,20 @@ static void test_source_resolver(void)
     filename = load_resource(L"test.mp4");
 
     hr = MFCreateFile(MF_ACCESSMODE_READ, MF_OPENMODE_FAIL_IF_NOT_EXIST, MF_FILEFLAGS_NONE, filename, &stream);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = IMFSourceResolver_CreateObjectFromByteStream(
         resolver, NULL, NULL, MF_RESOLUTION_MEDIASOURCE, NULL,
         &obj_type, (IUnknown **)&mediasource);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "got 0x%08x\n", hr);
 
     hr = IMFSourceResolver_CreateObjectFromByteStream(resolver, stream, NULL, MF_RESOLUTION_MEDIASOURCE, NULL,
             NULL, (IUnknown **)&mediasource);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "got 0x%08x\n", hr);
 
     hr = IMFSourceResolver_CreateObjectFromByteStream(resolver, stream, NULL, MF_RESOLUTION_MEDIASOURCE, NULL,
             &obj_type, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "got 0x%08x\n", hr);
 
     IMFByteStream_Release(stream);
 
@@ -782,16 +782,16 @@ static void test_source_resolver(void)
 
     hr = IMFSourceResolver_CreateObjectFromURL(resolver, L"nonexisting.mp4", MF_RESOLUTION_BYTESTREAM, NULL, &obj_type,
             (IUnknown **)&stream);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND), "Unexpected hr %#x.\n", hr);
 
     hr = IMFSourceResolver_CreateObjectFromURL(resolver, filename, MF_RESOLUTION_BYTESTREAM, NULL, &obj_type,
             (IUnknown **)&stream);
-    ok(hr == S_OK, "Failed to resolve url, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to resolve url, hr %#x.\n", hr);
     IMFByteStream_Release(stream);
 
     hr = IMFSourceResolver_BeginCreateObjectFromURL(resolver, filename, MF_RESOLUTION_BYTESTREAM, NULL,
             &cancel_cookie, &callback->IMFAsyncCallback_iface, (IUnknown *)resolver);
-    ok(hr == S_OK, "Create request failed, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Create request failed, hr %#x.\n", hr);
     ok(cancel_cookie != NULL, "Unexpected cancel object.\n");
     IUnknown_Release(cancel_cookie);
 
@@ -804,18 +804,18 @@ static void test_source_resolver(void)
 
     hr = IMFSourceResolver_CreateObjectFromURL(resolver, pathW, MF_RESOLUTION_BYTESTREAM, NULL, &obj_type,
             (IUnknown **)&stream);
-    ok(hr == S_OK, "Failed to resolve url, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to resolve url, hr %#x.\n", hr);
     IMFByteStream_Release(stream);
 
     /* We have to create a new bytestream here, because all following
      * calls to CreateObjectFromByteStream will fail. */
     hr = MFCreateFile(MF_ACCESSMODE_READ, MF_OPENMODE_FAIL_IF_NOT_EXIST, MF_FILEFLAGS_NONE, filename, &stream);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = IMFByteStream_QueryInterface(stream, &IID_IMFAttributes, (void **)&attributes);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     hr = IMFAttributes_SetString(attributes, &MF_BYTESTREAM_CONTENT_TYPE, L"video/mp4");
-    ok(hr == S_OK, "Failed to set string value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set string value, hr %#x.\n", hr);
     IMFAttributes_Release(attributes);
 
     /* Start of gstreamer dependent tests */
@@ -823,14 +823,14 @@ static void test_source_resolver(void)
     hr = IMFSourceResolver_CreateObjectFromByteStream(resolver, stream, NULL, MF_RESOLUTION_MEDIASOURCE, NULL,
             &obj_type, (IUnknown **)&mediasource);
     if (strcmp(winetest_platform, "wine"))
-        ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+        ok(hr == S_OK, "got 0x%08x\n", hr);
     if (FAILED(hr))
     {
         IMFByteStream_Release(stream);
         IMFSourceResolver_Release(resolver);
 
         hr = MFShutdown();
-        ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 
         DeleteFileW(filename);
         return;
@@ -842,98 +842,98 @@ static void test_source_resolver(void)
     check_service_interface(mediasource, &MF_RATE_CONTROL_SERVICE, &IID_IMFRateSupport, TRUE);
 
     hr = IMFMediaSource_QueryInterface(mediasource, &IID_IMFGetService, (void**)&get_service);
-    ok(hr == S_OK, "Failed to get service interface, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get service interface, hr %#x.\n", hr);
 
     hr = IMFGetService_GetService(get_service, &MF_RATE_CONTROL_SERVICE, &IID_IMFRateSupport, (void**)&rate_support);
-    ok(hr == S_OK, "Failed to get rate support interface, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get rate support interface, hr %#x.\n", hr);
 
     hr = IMFRateSupport_GetFastestRate(rate_support, MFRATE_FORWARD, FALSE, &rate);
-    ok(hr == S_OK, "Failed to query fastest rate, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to query fastest rate, hr %#x.\n", hr);
     ok(rate == 1e6f, "Unexpected fastest rate %f.\n", rate);
     hr = IMFRateSupport_GetFastestRate(rate_support, MFRATE_FORWARD, TRUE, &rate);
-    ok(hr == S_OK, "Failed to query fastest rate, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to query fastest rate, hr %#x.\n", hr);
     ok(rate == 1e6f, "Unexpected fastest rate %f.\n", rate);
     hr = IMFRateSupport_GetFastestRate(rate_support, MFRATE_REVERSE, FALSE, &rate);
-    ok(hr == S_OK, "Failed to query fastest rate, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to query fastest rate, hr %#x.\n", hr);
     ok(rate == -1e6f, "Unexpected fastest rate %f.\n", rate);
     hr = IMFRateSupport_GetFastestRate(rate_support, MFRATE_REVERSE, TRUE, &rate);
-    ok(hr == S_OK, "Failed to query fastest rate, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to query fastest rate, hr %#x.\n", hr);
     ok(rate == -1e6f, "Unexpected fastest rate %f.\n", rate);
 
     hr = IMFRateSupport_GetSlowestRate(rate_support, MFRATE_FORWARD, FALSE, &rate);
-    ok(hr == S_OK, "Failed to query slowest rate, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to query slowest rate, hr %#x.\n", hr);
     ok(rate == 0.0f, "Unexpected slowest rate %f.\n", rate);
     hr = IMFRateSupport_GetSlowestRate(rate_support, MFRATE_FORWARD, TRUE, &rate);
-    ok(hr == S_OK, "Failed to query slowest rate, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to query slowest rate, hr %#x.\n", hr);
     ok(rate == 0.0f, "Unexpected slowest rate %f.\n", rate);
     hr = IMFRateSupport_GetSlowestRate(rate_support, MFRATE_REVERSE, FALSE, &rate);
-    ok(hr == S_OK, "Failed to query slowest rate, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to query slowest rate, hr %#x.\n", hr);
     ok(rate == 0.0f, "Unexpected slowest rate %f.\n", rate);
     hr = IMFRateSupport_GetSlowestRate(rate_support, MFRATE_REVERSE, TRUE, &rate);
-    ok(hr == S_OK, "Failed to query slowest rate, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to query slowest rate, hr %#x.\n", hr);
     ok(rate == 0.0f, "Unexpected slowest rate %f.\n", rate);
 
     hr = IMFRateSupport_IsRateSupported(rate_support, FALSE, 0.0f, NULL);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     hr = IMFRateSupport_IsRateSupported(rate_support, FALSE, 0.0f, &rate);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(rate == 0.0f, "Unexpected rate %f.\n", rate);
 
     hr = IMFRateSupport_IsRateSupported(rate_support, FALSE, 1.0f, &rate);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(rate == 1.0f, "Unexpected rate %f.\n", rate);
     hr = IMFRateSupport_IsRateSupported(rate_support, FALSE, -1.0f, &rate);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(rate == -1.0f, "Unexpected rate %f.\n", rate);
     hr = IMFRateSupport_IsRateSupported(rate_support, FALSE, 1e6f + 1.0f, &rate);
-    ok(hr == MF_E_UNSUPPORTED_RATE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_UNSUPPORTED_RATE, "Unexpected hr %#x.\n", hr);
     ok(rate == 1e6f + 1.0f || broken(rate == 1e6f) /* Win7 */, "Unexpected %f.\n", rate);
     hr = IMFRateSupport_IsRateSupported(rate_support, FALSE, -1e6f, &rate);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(rate == -1e6f, "Unexpected rate %f.\n", rate);
 
     hr = IMFRateSupport_IsRateSupported(rate_support, FALSE, -1e6f - 1.0f, &rate);
-    ok(hr == MF_E_UNSUPPORTED_RATE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_UNSUPPORTED_RATE, "Unexpected hr %#x.\n", hr);
     ok(rate == -1e6f - 1.0f || broken(rate == -1e6f) /* Win7 */, "Unexpected rate %f.\n", rate);
 
     check_service_interface(mediasource, &MF_RATE_CONTROL_SERVICE, &IID_IMFRateControl, TRUE);
     hr = IMFMediaSource_CreatePresentationDescriptor(mediasource, &descriptor);
-    ok(hr == S_OK, "Failed to get presentation descriptor, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get presentation descriptor, hr %#x.\n", hr);
     ok(descriptor != NULL, "got %p\n", descriptor);
 
     hr = IMFPresentationDescriptor_GetStreamDescriptorByIndex(descriptor, 0, &selected, &sd);
-    ok(hr == S_OK, "Failed to get stream descriptor, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get stream descriptor, hr %#x.\n", hr);
 
     hr = IMFStreamDescriptor_GetMediaTypeHandler(sd, &handler);
-    ok(hr == S_OK, "Failed to get type handler, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get type handler, hr %#x.\n", hr);
     IMFStreamDescriptor_Release(sd);
 
     hr = IMFMediaTypeHandler_GetMajorType(handler, &guid);
-    ok(hr == S_OK, "Failed to get stream major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get stream major type, hr %#x.\n", hr);
 
     /* Check major/minor type for the test media. */
     ok(IsEqualGUID(&guid, &MFMediaType_Video), "Unexpected major type %s.\n", debugstr_guid(&guid));
 
     hr = IMFMediaTypeHandler_GetCurrentMediaType(handler, &media_type);
-    ok(hr == S_OK, "Failed to get current media type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get current media type, hr %#x.\n", hr);
     hr = IMFMediaType_GetGUID(media_type, &MF_MT_SUBTYPE, &guid);
-    ok(hr == S_OK, "Failed to get media sub type, hr %#lx.\n", hr);
-    todo_wine
+    ok(hr == S_OK, "Failed to get media sub type, hr %#x.\n", hr);
+todo_wine
     ok(IsEqualGUID(&guid, &MFVideoFormat_M4S2), "Unexpected sub type %s.\n", debugstr_guid(&guid));
 
     hr = IMFMediaType_GetUINT32(media_type, &MF_MT_VIDEO_ROTATION, &rotation);
-    ok(hr == S_OK || broken(hr == MF_E_ATTRIBUTENOTFOUND) /* Win7 */, "Failed to get rotation, hr %#lx.\n", hr);
+    ok(hr == S_OK || broken(hr == MF_E_ATTRIBUTENOTFOUND) /* Win7 */, "Failed to get rotation, hr %#x.\n", hr);
     if (hr == S_OK)
         ok(rotation == MFVideoRotationFormat_0, "Got wrong rotation %u.\n", rotation);
 
     IMFMediaType_Release(media_type);
 
     hr = IMFPresentationDescriptor_SelectStream(descriptor, 0);
-    ok(hr == S_OK, "Failed to select video stream, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to select video stream, hr %#x.\n", hr);
 
     var.vt = VT_EMPTY;
     hr = IMFMediaSource_Start(mediasource, descriptor, &GUID_NULL, &var);
-    ok(hr == S_OK, "Failed to start media source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start media source, hr %#x.\n", hr);
 
     video_stream = NULL;
     if (get_event((IMFMediaEventGenerator *)mediasource, MENewStream, &var))
@@ -943,39 +943,39 @@ static void test_source_resolver(void)
     }
 
     hr = IMFMediaSource_Pause(mediasource);
-    ok(hr == S_OK, "Failed to pause media source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to pause media source, hr %#x.\n", hr);
     if (get_event((IMFMediaEventGenerator *)mediasource, MESourcePaused, &var))
         ok(var.vt == VT_EMPTY, "Unexpected value type.\n");
 
     var.vt = VT_EMPTY;
     hr = IMFMediaSource_Start(mediasource, descriptor, &GUID_NULL, &var);
-    ok(hr == S_OK, "Failed to start media source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start media source, hr %#x.\n", hr);
 
     if (get_event((IMFMediaEventGenerator *)mediasource, MESourceStarted, &var))
         ok(var.vt == VT_EMPTY, "Unexpected value type.\n");
 
     hr = IMFMediaSource_Pause(mediasource);
-    ok(hr == S_OK, "Failed to pause media source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to pause media source, hr %#x.\n", hr);
     if (get_event((IMFMediaEventGenerator *)mediasource, MESourcePaused, &var))
         ok(var.vt == VT_EMPTY, "Unexpected value type.\n");
 
     var.vt = VT_I8;
     var.uhVal.QuadPart = 0;
     hr = IMFMediaSource_Start(mediasource, descriptor, &GUID_NULL, &var);
-    ok(hr == S_OK, "Failed to start media source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start media source, hr %#x.\n", hr);
 
     if (get_event((IMFMediaEventGenerator *)mediasource, MESourceSeeked, &var))
         ok(var.vt == VT_I8, "Unexpected value type.\n");
 
     hr = IMFMediaSource_Stop(mediasource);
-    ok(hr == S_OK, "Failed to pause media source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to pause media source, hr %#x.\n", hr);
     if (get_event((IMFMediaEventGenerator *)mediasource, MESourceStopped, &var))
         ok(var.vt == VT_EMPTY, "Unexpected value type.\n");
 
     var.vt = VT_I8;
     var.uhVal.QuadPart = 0;
     hr = IMFMediaSource_Start(mediasource, descriptor, &GUID_NULL, &var);
-    ok(hr == S_OK, "Failed to start media source, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start media source, hr %#x.\n", hr);
 
     if (get_event((IMFMediaEventGenerator *)mediasource, MESourceStarted, &var))
         ok(var.vt == VT_I8, "Unexpected value type.\n");
@@ -985,7 +985,7 @@ static void test_source_resolver(void)
     for (i = 0; i < sample_count; ++i)
     {
         hr = IMFMediaStream_RequestSample(video_stream, NULL);
-        ok(hr == S_OK, "Failed to request sample %u, hr %#lx.\n", i + 1, hr);
+        ok(hr == S_OK, "Failed to request sample %u, hr %#x.\n", i + 1, hr);
         if (hr != S_OK)
             break;
     }
@@ -1007,15 +1007,15 @@ static void test_source_resolver(void)
         sample = (IMFSample *)var.punkVal;
 
         hr = IMFSample_GetBufferCount(sample, &buffer_count);
-        ok(hr == S_OK, "Failed to get buffer count, hr %#lx.\n", hr);
-        ok(buffer_count == 1, "Unexpected buffer count %lu.\n", buffer_count);
+        ok(hr == S_OK, "Failed to get buffer count, hr %#x.\n", hr);
+        ok(buffer_count == 1, "Unexpected buffer count %u.\n", buffer_count);
 
         hr = IMFSample_GetSampleDuration(sample, &duration);
-        ok(hr == S_OK, "Failed to get sample duration, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get sample duration, hr %#x.\n", hr);
         ok(duration == 40 * MILLI_TO_100_NANO, "Unexpected duration %s.\n", wine_dbgstr_longlong(duration));
 
         hr = IMFSample_GetSampleTime(sample, &time);
-        ok(hr == S_OK, "Failed to get sample time, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get sample time, hr %#x.\n", hr);
         ok(time == i * 40 * MILLI_TO_100_NANO, "Unexpected time %s.\n", wine_dbgstr_longlong(time));
 
         IMFSample_Release(sample);
@@ -1028,16 +1028,16 @@ static void test_source_resolver(void)
         /* MEEndOfStream isn't queued until after a one request beyond the last frame is submitted */
         Sleep(100);
         hr = IMFMediaEventGenerator_GetEvent((IMFMediaEventGenerator *)video_stream, MF_EVENT_FLAG_NO_WAIT, &event);
-        ok (hr == MF_E_NO_EVENTS_AVAILABLE, "Unexpected hr %#lx.\n", hr);
+        ok (hr == MF_E_NO_EVENTS_AVAILABLE, "Unexpected hr %#x.\n", hr);
 
         hr = IMFMediaStream_RequestSample(video_stream, NULL);
-        ok (hr == S_OK || hr == MF_E_END_OF_STREAM, "Unexpected hr %#lx.\n", hr);
+        ok (hr == S_OK || hr == MF_E_END_OF_STREAM, "Unexpected hr %#x.\n", hr);
         get_event((IMFMediaEventGenerator *)video_stream, MEEndOfStream, NULL);
     }
 
 
     hr = IMFMediaStream_RequestSample(video_stream, NULL);
-    ok(hr == MF_E_END_OF_STREAM, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_END_OF_STREAM, "Unexpected hr %#x.\n", hr);
 
     get_event((IMFMediaEventGenerator *)mediasource, MEEndOfPresentation, NULL);
 
@@ -1046,10 +1046,10 @@ static void test_source_resolver(void)
     IMFPresentationDescriptor_Release(descriptor);
 
     hr = IMFMediaSource_Shutdown(mediasource);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaSource_CreatePresentationDescriptor(mediasource, NULL);
-    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#x.\n", hr);
 
     IMFRateSupport_Release(rate_support);
     IMFGetService_Release(get_service);
@@ -1058,18 +1058,18 @@ static void test_source_resolver(void)
 
     /* Create directly through scheme handler. */
     hr = CoInitialize(NULL);
-    ok(SUCCEEDED(hr), "Failed to initialize, hr %#lx.\n", hr);
+    ok(SUCCEEDED(hr), "Failed to initialize, hr %#x.\n", hr);
     do_uninit = hr == S_OK;
 
     hr = CoCreateInstance(&CLSID_FileSchemePlugin, NULL, CLSCTX_INPROC_SERVER, &IID_IMFSchemeHandler,
             (void **)&scheme_handler);
-    ok(hr == S_OK, "Failed to create handler object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create handler object, hr %#x.\n", hr);
 
     callback2->event = callback->event;
     cancel_cookie = NULL;
     hr = IMFSchemeHandler_BeginCreateObject(scheme_handler, pathW, MF_RESOLUTION_MEDIASOURCE, NULL, &cancel_cookie,
             &callback2->IMFAsyncCallback_iface, (IUnknown *)scheme_handler);
-    ok(hr == S_OK, "Create request failed, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Create request failed, hr %#x.\n", hr);
     ok(!!cancel_cookie, "Unexpected cancel object.\n");
     IUnknown_Release(cancel_cookie);
 
@@ -1085,7 +1085,7 @@ static void test_source_resolver(void)
     IMFSourceResolver_Release(resolver);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 
     IMFAsyncCallback_Release(&callback->IMFAsyncCallback_iface);
     IMFAsyncCallback_Release(&callback2->IMFAsyncCallback_iface);
@@ -1154,9 +1154,8 @@ static void test_media_type(void)
     IMFMediaType *mediatype, *mediatype2;
     IMFVideoMediaType *video_type;
     IUnknown *unk, *unk2;
+    DWORD count, flags;
     BOOL compressed;
-    DWORD flags;
-    UINT count;
     HRESULT hr;
     GUID guid;
 
